To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

2
votes
8answers
67k views

yum update fails: Error: Cannot retrieve repository metadata (repomd.xml) for repository …

I'm using CentOS 6.3. When I try to update my system with yum I have this message: yum update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirrors.ircam.fr * ...
0
votes
1answer
75 views

How to run unattended-upgrades not daily but every few hours

By default unattended-upgrades runs with cron.daily, that is at most on a daily basis. This can be a lot of time for attackers. I'd like to run it every 4 hours, how can I do this?
1
vote
1answer
65 views

FreeBSD - major and minor upgrades using ports?

while upgrading my FreeBSD for the first time (from 10.0 --> 10.1) I got confused about the different possibilities. As far as I understand, freebsd-update does a binary update of FreeBSD like pkg ...
0
votes
1answer
185 views

getting error for sudo apt-get upgrade?

when i enter : sudo apt-get upgrade I get the following messages: Reading package lists... Done Building dependency tree Reading> state information... Done Calculating ...
0
votes
0answers
107 views

Update error Elementary OS Luna

Every time I update my system I get the following error. There is no updates, if I run the Update Manager again. So I assume that the updates are installed. The complete error code is ...
0
votes
3answers
37 views

Why does same program requires yum update on one machine but not another?

I have cpio-2.11-25.fc20.x86_64 installed on two machines: This program does not require an update on the first machine, but I was presented with a higher version 2.11-28.fc20 on the second machine. ...
1
vote
0answers
28 views

Upgrading sources.list.d

We have a reprepro-server which hosts some packages we have developed for our Ubuntu-systems. It contains packages for precies and trusty. Our systems have the reprepro-server configured in ...
2
votes
1answer
17 views

Updating/installing non-system-critical applications

Is rebooting recommended after updating/installing non-system-critical applications?
0
votes
0answers
87 views

Updating my version of php to the latest 5.5 version

I'm trying to update the version of php 5.5 to the latest version (5.5.20 at the time of writing). I'm doing this on a CentOS v6 machine. I've tried following the steps here: ...
2
votes
1answer
66 views

Update jails FreeBSD in silent mode

What if I want to add all process to the cron? Is there silent way to upgrade jail? After these steps: # make buildworld # make installworld DESTDIR=/jails/somejail It comes time to: # ...
-2
votes
1answer
34 views

Is it neccessary for me to update my kernel? And how? [closed]

I'm trying to install Kubuntu on a VM in order to do some deep learning following this guide: https://github.com/BVLC/caffe/wiki/Ubuntu-14.04-VirtualBox-VM I'm stuck in the step of the guide that ...
1
vote
2answers
627 views

'E:The package linux-headers-3.5.0-54 needs to be reinstalled, but I can't find an archive for it. ' when upgrading the system

I am using Ubuntu 12.04, and I try to upgrade to 14.04.1 using the terminal using: do-release-upgrade but I keep getting the following error: SystemError: E:The package linux-headers-3.5.0-54 ...
0
votes
1answer
412 views

“Shell connection” item disappeared from Midnight Commander menu

I have performed an upgrade of my distro (openSUSE 13.1 -> 13.2) and now no long see menu item in Midnight Commander that allows me to perform operations with remote files via SSH. Coressponding menu ...
1
vote
1answer
260 views

How to update kali without internet connection manually?

I have installed kali linux in virtual box with a windows host, and when I try to update kali it completes 5-10 packages and aborts saying connection failed. I have a slow connection and want to get a ...
1
vote
1answer
816 views

centos dropbox newest version not starting

I have some issues getting dropbox to run on Centos 6.3. These issues started after I recently got a security warning to upgrade Dropbox. Before this, the older version (not sure which one exactly) ...
2
votes
3answers
256 views

Invoking cp from within BASH and using the -u option

Is there a way to have cp's --update option print files that did not copy because the source directory contained a newer version of the file?
4
votes
1answer
4k views

How to do a binary install of Python 2.7 on SUSE Linux Enterprise Server 11?

My SLES11 box came with Python 2.6 installed. I would like to upgrade to 2.7. What is the easiest way to do this?
-1
votes
1answer
90 views

Yum update error and returns system error

Error Type: Error Value: File contains no section headers. I don’t understand I did not edit or did anything to that repos.d file :( [root@planetery ~]# yum update Loaded plugins: fastestmirror, ...
1
vote
1answer
61 views

How do I fix a transaction error?

I have Transaction check error between nodejs-0.10.33-1nodesource.fc20.x86_64 and nodejs-semver-2.1.0-1.fc20.noarch. Full error at gist:8998690a05100b1f6085 When I run yum list nodejs I get: ...
0
votes
1answer
68 views

Yum won't update package

I am trying to update the package minetest from 0.4.9 to 0.4.10, but when I update the whole system, it states that there are no updates available. If I try to update the package alone, I get the same ...
5
votes
1answer
309 views

Why is there no “mark for upgrade” in Synaptic Package Manager for upgradeable packages?

The help docs mention marking for upgrade. The context menu and menu bar do not have this option listed at all, and the only non-greyed-out options are marking for removal or complete removal. There ...
1
vote
1answer
3k views

insmod: ERROR: could not insert module 8188eu.ko: Invalid module format

I'm trying to use the TL-WN725N as an USB WiFi-Adapter with Fedora 20. I followed these insructions and the adapter worked fine and even survived two updates during the last few weeks. Then I did a ...
0
votes
2answers
228 views

Debian Jessie updates

I've installed Jessie about 2 months ago (from a fresh download from Testing), and I never see package updates notifications. And I am never asked to download anything. Is there something I have to ...
3
votes
0answers
74 views

Why libpam-systemd run interactively on apt upgrade, even when specified force-confdef/force-confold

I upgrade my packages using aptitude, specifying the apt options --force-confdef and --force-confold. This generally works, but the package libpam-systemd (204-5ubuntu20.8, on Ubuntu 14.04) still ...
6
votes
2answers
479 views

Packages to rebuild after upgrading gcc on gentoo systems

Which packages should be rebuilt after upgrading gcc on a gentoo system? Is it sufficient to run # emerge -a --oneshot `equery depends gcc |awk '{print " ="$1}'` as suggested similar for perl in ...
1
vote
0answers
58 views

un-official OS upgrade

I want to install a package called plasma-nm on Elementary OS Luna. But the problem is that software requires network-manager 0.9.8 or greater. while I have 0.9.7, can I upgrade network-manager? I ...
1
vote
1answer
949 views

Trouble with opkg package manager in Angstrom embedded linux on Colibri module ARM v7 processor

I am working on a Colibri module having Angstrom linux installed in it! The processor is ARM v7. I am having trouble updating the softwares installed in the system. Whenever I tried the command opkg ...
0
votes
1answer
436 views

Upgrading Ubuntu 13.09 to 13.10 for LTS?

I am trying to upgrade my ubuntu installation so I can begin working with mod_mono for apache. I tried to the usual upgrade command but I am getting some odd results. Any help would be much ...
3
votes
2answers
146 views

tmux client/server version mismatch during distribution upgrade

It has become fashionable to run distribution upgrade in a tmux terminal to avoid remote connection issues or issues with the X server (e.g. opensuse documentation). Yet this does not take into ...
1
vote
1answer
2k views

How to properly upgrade glibc?

The firmware of my NAS comes with a rather old version of glibc, namely 2.5. In order to cope with some precompiled binaries linked* to glibc 2.15, I would like to upgrade it. From some simple testing ...
1
vote
1answer
118 views

Install latest GTK without building myself

I'm using GTK3.4 and I need to update to > GTK3.10 for a theme editor I would like to use. I've never built something like that from source and the task looks a bit daunting. I've looked at what's ...
1
vote
1answer
161 views

How can I upgrade a complete list of packages from stable to backports

I have installed Qt 4.8.2 from Debian Wheezy on my system. Now, some application requires Qt 4.8.3 on my machine, so I looked at the versions and found that Qt 4.8.6 is avaliable in Wheezy-Backports: ...
5
votes
3answers
8k views

How can I upgrade MySQL in Debian using apt-get?

I'm using the Turnkey Linux virtual machine. The version of Debian in there is apparently on the "Wheezy" upgrade path (if that's what you call it). I'm not completely comfortable with Linux, as you ...
1
vote
1answer
107 views

Writing ISO (Specifically Debian Jessie) to an SD Card

When updating Debian Wheezy (the stable release) to Jessie, it crashed, so it is currently unusable. The only solution to this, as far as I can tell, is to overwrite Jessie on top of what is currently ...
1
vote
1answer
441 views

Interdependent conflicting packages in CentOS 6.5

I've been using CentOS 6.5 as my OS for quite a while. Usually I don't have many problems with Linux installations, but as they new CentOS 6.6 was released I found myself in a bit of a problem. There ...
3
votes
1answer
354 views

Delaying kernel upgrades on Arch Linux

On Arch Linux, whenever a kernel upgrade is applied (via pacman -Su), problems occur. For example, iptables can no longer be used: # iptables -L iptables v1.4.21: can't initialize iptables table ...
0
votes
0answers
16 views

Unable to start skype in Xubuntu [duplicate]

After xubuntu updating the skype I am unable to launch the last. sudo apt-get autoremove --purge skype Erase /.Skype by graphic client sudo add-apt-repository "deb http://archive.canonical.com/ ...
1
vote
2answers
99 views

Odd behavior of software sources GUI in Ubuntu-based eOS (sources selected in the background)

Oddly enough, they all look unselected - I do not know that this is really true, but they look like they are not selected. But most odd is that selecting them is impossible - as seen HERE. For a ...
0
votes
0answers
54 views

How do I set kernel-ml default in CentOS?

I have installed kernel-ml package from http://elrepo.org/tiki/kernel-ml Now I have both the original CentOS kernel and kernel-ml. How do I set kernel-ml as default on boot? Thank you!
2
votes
2answers
49 views

Why does RHEL offer updates for hardware I don't have?

RHEL 7 offers me to install 150+ updates, and it seems most part of these updates are not applicable to my server. For example it offers to install some "WiFi" Firmware, but my server doesn't have any ...
0
votes
0answers
136 views

BASH-3 update: how to revert / undo the changes?

I am using Mint 17, 64-bit with Cinnamon. I recently updated Bash and following the update mint drivers are missing and mint is not working. So I want revert the changes. How can I do it? For ...
0
votes
0answers
204 views

How to update apache 2.2.12 to 2.2.15 on SUSE enterprise linux server 11?

I have a requirement where I need to upgrade my Apache on SUSE enterprise Linux server 11 from 2.2.12 to 2.2.15. I tried searching on web but couldn't get any definitive answers.
0
votes
1answer
146 views

How can I update BASH [duplicate]

How can I update BASH? I noticed that there are version 4.2.45 env x='() { :;}; echo vulnerable' bash -c "echo this is a test" this is a test cat /etc/redhat-release CentOS release 5.11 (Final) rpm ...
6
votes
3answers
2k views

Do I have to reboot after updating bash to avoid shellshock?

I've updated my systems to the latest versions of bash (Fedora: bash-4.2.48-2.fc19.x86_64 and CentOS: bash-4.1.2-15.el6_5.2.x86_64) Is merely updating enough to avoid the exploit or do I need to then ...
0
votes
1answer
188 views

Can't change update settings on elementary?

I can't update elementary os, when I try to change the settings 'Install updates from', none of the check boxes will check, it stays like the following image. What should I do?
1
vote
2answers
3k views

Upgrading CentOS 6.3 to 6.5

[Note: I manually moved this here from StackOverflow] I'm trying to update CentOS 6.3 to 6.5. If it matters, I'm doing this inside VBox 4.3.8, on a Mac running OSX 10.9.2. Following directions found ...
0
votes
0answers
95 views

Fedora 20 won't startup after shutdown during kernel update

I had a few bugs in my System(System Settings not opening and Firefox not starting) and I thought a kernel update(via yum) could do it some good. During that update, I suddenly got logged out as if ...
1
vote
1answer
36 views

Need to automate the updating of the crontab file

We have an automated process where a server is built, and after applications/middleware are installed using another automated process, and the crontab needs to be updated for those ...
4
votes
1answer
24k views

How to upgrade Apache 2.2.15 to 2.4.4 in CentOS

I want to upgrade Apache from 2.2.15 to 2.4.4 in CentOS. Do I need to download update files to a folder and update Apache? Is this even possible?
0
votes
0answers
434 views

Upgrade apache 2.2 on CentOS 5.1

I need to UPGRADE Apache on a CentOS 5.1 server. Its currently at 2.2.14 and I want to bring it up to the latest 2.2.29. Upgrading the OS is not an option, and I don't want to install Apache 2.4 and ...